
QGIS Application - Bug report #3743

[OsX] Georeferencer: can't set map coords from map canvas, and other odd behavior

2011-04-15 06:57 AM - William Kyngesburye

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13802

Description

When adding a GCP (Add Point) in the georeferencer window, I can't set the map coordinates from the map canvas.  From the Enter Map

Coordinates dialog, when I click the From Map Canvas button, a duplicate georeferencer window pops out of the QGIS application icon in

the OSX Dock, then minimizes to the Dock, leaving an inactive copy of the georeferencer window.  This copy stays on top of (covering)

the now-active QGIS map window - I can't resize the window, it doesn't respond to mouse clicks except to move the window, but I can't

move the window offscreen because it snaps back so it's completely within the screen.

Even in what I can see of the QGIS map window, if I click anywhere, at least the duplicate window goes away and the minimized window

pops back, but no GCP is added, and I can't try to add any more.  Also, in the map canvas window, if I pan and zoom around, there is no

tool to switch back to to set the GCP map point.  The only way to get exit all this is to bring the minimized back and close it, cancelling the

georeferencer operation.

OSX 10.6.7, Qt 4.7.2

History

#1 - 2011-07-02 05:44 PM - William Kyngesburye

- Assignee deleted (nobody -)

- Priority changed from Low to High

- Must fix changed from No to Yes

#2 - 2011-08-12 10:25 AM - William Kyngesburye

- Pull Request or Patch supplied set to No

According to a user, docking the georeferencer appears to be a workaround (can't test this right now).  After opening the initial Georeferencer window,

open Preferences from the QGIS menu (confusing, since it opens georeferencer prefs at this point) and check "Show georeferencer window docked".

#3 - 2011-11-03 07:01 AM - Paolo Cavallini

Confirmed with current development snapshot

#4 - 2011-11-14 05:09 PM - William Kyngesburye

I have a new view of the problem - it's not hung up on anything really, but the Enter Map Coordinates dialog is hidden.

After clicking in the map canvas for the destination coordinates, and the georeferencer window pops back out of the Dock, the Enter Map Coordinates is 

behind both the georeferencer window and the map canvas window.  You need to move the two out of the way to get to it and click OK, then you have
your GCP and can continue.

So, the first and primary bug is that the Enter Map Coordinates dialog is not reactivated after the Georeferencer window pops out of the Dock.  A way to

work around this is to first resize the map canvas window so some desktop is visible.  When you start the georeferencer, resize its window too so that same

desktop area is visible.  Then, after clicking the source location in the Georeferencer window and the Enter Map Coordinates dialog first pops up, move

that dialog off to that visible area of the screen (it resets its location to the center of the screen each time).  Now you can activate the Enter Map

Coordinates dialog after clicking the destination coordinate.

Another bug is that when the georeferencer is docked (Qt dock, not OS X dock), the georeferencer preferences (configure georeferencer, not

transformation settings) is not available from the georeferencer window (Preferences, strangely, opens the keyboard shortcuts configuration dialog).  The

only way to get to Configure Georeferencer to undock the georeferencer is when the Enter Map Coordinates window is active.

#5 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2011-12-24 06:44 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Subject changed from georeferencer: can't set map coords from map canvas, and other odd behavior to [OsX] Georeferencer: can't set map coords 

from map canvas, and other odd behavior

- Affected QGIS version set to master

#7 - 2012-03-26 03:03 PM - Giovanni Manghi

- Target version changed from Version 1.7.4 to 35

- Status info deleted (0)

At a recent training course the issue still confirmed on a Snow Leopard Mac and QGIS 1.7.4: the georeferencer can't set GPCs from canvas. Nevertheless

the tool is able to load a previously saved GPC file and perform the georeferencing operation.

#8 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#9 - 2012-06-21 09:35 AM - Olivier redlead

I'm not sure if the problem is the same (seems simpler here) :

After placing my point on the map canvas, the Georeferencer window reappears but in front of the point-input dialog. This forces me to move the

Georeferencer window to be able to confirm the point, which is a little bit annoying.

(1.7.4 Snow Leopard)

But I have no such thing as duplicate or inactive windows...

#10 - 2012-09-01 08:29 PM - Matt Burton-Kelly

Chiming in with Olivier redlead's issue in 1.7.4 Snow Leopard, but 1) is this issue creep and 2) is this issue a duplicate of #2214 ?

Olivier redlead wrote:

I'm not sure if the problem is the same (seems simpler here) :

2024-03-20 2/4



After placing my point on the map canvas, the Georeferencer window reappears but in front of the point-input dialog. This forces me to move the

Georeferencer window to be able to confirm the point, which is a little bit annoying.

(1.7.4 Snow Leopard)

But I have no such thing as duplicate or inactive windows...

#11 - 2012-09-03 03:28 PM - William Kyngesburye

- Priority changed from High to Severe/Regression

Olivier redlead wrote:

I'm not sure if the problem is the same (seems simpler here) :

Yes, that's the same problem.

Matt Burton-Kelly wrote:

Chiming in with Olivier redlead's issue in 1.7.4 Snow Leopard, but 1) is this issue creep and 2) is this issue a duplicate of #2214 ?

That looks like the same issue, now.  This one started looking like a different, though similar problem, but is now exactly the same.  The original problem

was probably just a change in how Qt handled window activation/hiding.

I'd call this a regression.

#12 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#13 - 2013-04-07 07:41 PM - William Kyngesburye

Now that I'm back up to speed with the Mac build, I can verify that this is still a problem.

I thought about it a bit, and the solution may be simple: make the Enter coordinate dialog (qgsmapcoordsdialog) a floating window instead of a standard

dialog window.  Then it won't be left behind everything.  You may need to move it a little to see the canvas better, but it's small.

I don't know Qt, so a patch would help so I can test this idea.

#14 - 2013-04-25 06:14 PM - Larry Shaffer

Should be fixed with commit commit:4aa013d

Please verify. Works fine here on Mac 10.7.5 with Qt 4.8.4.

#15 - 2013-04-25 08:23 PM - William Kyngesburye

Yep, that works for me.  Probably should get verification that this doesn't cause a problem on other systems.
#16 - 2013-06-01 03:46 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed
